commit 86927a04dc0fdd3955234f02ce16be81ffa3cbdd
Author: freddy77 <freddy77>
Date:   Mon Feb 1 10:16:05 2010 +0000

    update for trusted connections, support Trusted_Connection attribute in odbc.ini

diff --git a/ChangeLog b/ChangeLog
index 6ba2e74..121ccd2 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Mon Feb  1 11:15:12 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/connectparams.c src/odbc/odbc.c:
+	- update for trusted connections, support Trusted_Connection
+	  attribute in odbc.ini
+
 Mon Feb  1 11:09:51 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac doc/userguide.sgml: update documentation
 
@@ -2269,4 +2274,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2977 2010/02/01 10:10:19 freddy77 Exp $
+$Id: ChangeLog,v 1.2978 2010/02/01 10:16:05 freddy77 Exp $
diff --git a/src/odbc/connectparams.c b/src/odbc/connectparams.c
index 9f076db..1f9be9b 100644
--- a/src/odbc/connectparams.c
+++ b/src/odbc/connectparams.c
@@ -37,17 +37,19 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: connectparams.c,v 1.85 2010/01/29 18:57:03 freddy77 Exp $");
+TDS_RCSID(var, "$Id: connectparams.c,v 1.86 2010/02/01 10:16:05 freddy77 Exp $");
 
 #define ODBC_PARAM(p) static const char odbc_param_##p[] = #p;
 ODBC_PARAM_LIST
 #undef ODBC_PARAM
 
+#ifdef _WIN32
 #define ODBC_PARAM(p) odbc_param_##p,
 static const char *odbc_param_names[] = {
 	ODBC_PARAM_LIST
 };
 #undef ODBC_PARAM
+#endif
 
 #if !HAVE_SQLGETPRIVATEPROFILESTRING
 
@@ -217,6 +219,11 @@ odbc_get_dsn_info(TDS_ERRS *errs, const char *DSN, TDSCONNECTION * connection)
 	if (myGetPrivateProfileString(DSN, odbc_param_Encryption, tmp) > 0)
 		tds_parse_conf_section(TDS_STR_ENCRYPTION, tmp, connection);
 
+	if (myGetPrivateProfileString(DSN, odbc_param_Trusted_Connection, tmp) > 0 && tds_config_boolean(tmp)) {
+		tds_dstr_copy(&connection->user_name, "");
+		tds_dstr_copy(&connection->password, "");
+	}
+
 	return 1;
 }
 
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index eba4f63..0ef13fd 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.528 2010/01/29 18:57:03 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.529 2010/02/01 10:16:05 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv, SQLINTEGER odbc_version);
@@ -1758,7 +1758,7 @@ SQLConnect(SQLHDBC hdbc, SQLCHAR FAR * szDSN, SQLSMALLINT cbDSN, SQLCHAR FAR * s
 	}
 
 	/* password */
-	if (szAuthStr) {
+	if (szAuthStr && !tds_dstr_isempty(&connection->user_name)) {
 		if (!tds_dstr_copyn(&connection->password, (char *) szAuthStr, odbc_get_string_size(cbAuthStr, szAuthStr))) {
 			tds_free_connection(connection);
 			odbc_errs_add(&dbc->errs, "HY001", NULL);

